Bug 55863 - control-center SRPM is not self-hosting
control-center SRPM is not self-hosting
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: control-center (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-07 16:47 EST by Tom "spot" Callaway
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 16:22:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2001-11-07 16:47:27 EST
Description of Problem:

control-center SRPM is not self-hosting

Version-Release number of selected component (if applicable):

control-center-1.4.0.1-18

How Reproducible:

Always

Steps to Reproduce:
1. rpm --rebuild control-center-1.4.0.1-18.src.rpm (WITHOUT a
control-center rpm installed)

Actual Results:

dies, looking for capplet.pc

Expected Results:

Rebuilds RPM.

Additional Information:
	
Installing an older control-center rpm allows it to build, but SRPM should
be self-hosting.
Comment 1 Havoc Pennington 2002-02-11 16:22:53 EST
The clean way to fix this is to move control-center-single out of the
control-center package and into a separate SRPM, then use dependencies to bind
those RPMs together tightly. 

The big pain-in-the-butt way is to apply a huge configure/makefile patch to
control-center-single tarball to link against the uninstalled libcapplet.
Comment 2 Havoc Pennington 2002-02-25 12:36:20 EST
After discussion, decided to let this problem disappear in the GNOME 2 migration
when that happens.

Note You need to log in before you can comment on or make changes to this bug.